Provision a card account
curl --request POST \
--url https://api.bridge.xyz/v0/customers/{customerID}/card_accounts \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"currency": "usdc",
"client_reference_id": "<string>",
"card_design_shortname": "<string>"
}
'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts"
payload = {
"currency": "usdc",
"client_reference_id": "<string>",
"card_design_shortname": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
currency: 'usdc',
client_reference_id: '<string>',
card_design_shortname: '<string>'
})
};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/card_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'currency' => 'usdc',
'client_reference_id' => '<string>',
'card_design_shortname' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts"
payload := strings.NewReader("{\n \"currency\": \"usdc\",\n \"client_reference_id\": \"<string>\",\n \"card_design_shortname\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bridge.xyz/v0/customers/{customerID}/card_accounts")
.header("Idempotency-Key", "<idempotency-key>")
.header("Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"currency\": \"usdc\",\n \"client_reference_id\": \"<string>\",\n \"card_design_shortname\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/customers/{customerID}/card_accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"currency\": \"usdc\",\n \"client_reference_id\": \"<string>\",\n \"card_design_shortname\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"customer_id": "<string>",
"status": "active",
"balances": {
"available": {
"amount": "<string>",
"currency": "usdc"
},
"hold": {
"amount": "<string>",
"currency": "usdc"
}
},
"freezes": [
{
"card_account_id": "<string>",
"reason": "lost_or_stolen",
"created_at": "<string>",
"reason_detail": "<string>",
"starting_at": "<string>",
"ending_at": "<string>"
}
],
"client_reference_id": "<string>",
"cardholder_name": {
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>"
},
"card_image_url": "<string>",
"status_reason": "<string>",
"card_details": {
"last_4": "1264",
"expiry": "10/24",
"bin": "44325280",
"pin_status": "not_set"
},
"stripe_card_id": "<string>",
"crypto_account": {
"type": "standard",
"address": "<string>"
},
"funding_instructions": {
"currency": "usdc",
"chain": "arbitrum",
"address": "<string>",
"memo": "<string>"
},
"additional_funding_instructions": [
{
"currency": "usdc",
"chain": "arbitrum",
"address": "<string>",
"memo": "<string>"
}
]
}Cards
Provision a card account
deprecated
Provision a card account. NOTE: the legacy Bridge Cards API is deprecated, and stablecoin card issuing capabilities are now natively integrated into Stripe Issuing. Please see this guide for more details on how to enable your account for Stripe Issuing.
POST
/
customers
/
{customerID}
/
card_accounts
Provision a card account
curl --request POST \
--url https://api.bridge.xyz/v0/customers/{customerID}/card_accounts \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"currency": "usdc",
"client_reference_id": "<string>",
"card_design_shortname": "<string>"
}
'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts"
payload = {
"currency": "usdc",
"client_reference_id": "<string>",
"card_design_shortname": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
currency: 'usdc',
client_reference_id: '<string>',
card_design_shortname: '<string>'
})
};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/card_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'currency' => 'usdc',
'client_reference_id' => '<string>',
'card_design_shortname' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts"
payload := strings.NewReader("{\n \"currency\": \"usdc\",\n \"client_reference_id\": \"<string>\",\n \"card_design_shortname\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bridge.xyz/v0/customers/{customerID}/card_accounts")
.header("Idempotency-Key", "<idempotency-key>")
.header("Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"currency\": \"usdc\",\n \"client_reference_id\": \"<string>\",\n \"card_design_shortname\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/customers/{customerID}/card_accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"currency\": \"usdc\",\n \"client_reference_id\": \"<string>\",\n \"card_design_shortname\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"customer_id": "<string>",
"status": "active",
"balances": {
"available": {
"amount": "<string>",
"currency": "usdc"
},
"hold": {
"amount": "<string>",
"currency": "usdc"
}
},
"freezes": [
{
"card_account_id": "<string>",
"reason": "lost_or_stolen",
"created_at": "<string>",
"reason_detail": "<string>",
"starting_at": "<string>",
"ending_at": "<string>"
}
],
"client_reference_id": "<string>",
"cardholder_name": {
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>"
},
"card_image_url": "<string>",
"status_reason": "<string>",
"card_details": {
"last_4": "1264",
"expiry": "10/24",
"bin": "44325280",
"pin_status": "not_set"
},
"stripe_card_id": "<string>",
"crypto_account": {
"type": "standard",
"address": "<string>"
},
"funding_instructions": {
"currency": "usdc",
"chain": "arbitrum",
"address": "<string>",
"memo": "<string>"
},
"additional_funding_instructions": [
{
"currency": "usdc",
"chain": "arbitrum",
"address": "<string>",
"memo": "<string>"
}
]
}Path Parameters
Body
application/json
The card account to be provisioned
Response
The successfully created card account
An expiring URL used to render the card image, with a validity period of 5 minutes. Note: This field will be deprecated in favor of the more secure and scalable card details API. Please see the integration guide on safely revealing card details for more information.
The Stripe Issuing card ID, if the card account is backed by Stripe Issuing
Was this page helpful?